=== debian/changelog ===
sunpinyin (2.0.3+git20120607-1) unstable; urgency=low

  * New upstream snapshot 20120607.

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 09 Jun 2012 16:40:36 +0800

sunpinyin (2.0.3+git20120404-1) unstable; urgency=low

  * New upstream commit: fix FTBFS with gcc-4.7 (Closes: #667385).
  * Add Multi-Arch: same to libsunpinyin3, -dev and -dbg.
  * Add YunQiang Su to uploaders.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 11 Apr 2012 03:06:40 +0800

sunpinyin (2.0.3+git20120222-2) unstable; urgency=low

  [ debian/patches/unistd_h_determine_macro.patch ]
    * include unistd.h if it exists, not only when "sun" defined.
      (Closes: #667385)

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 04 Apr 2012 17:16:10 +0800

sunpinyin (2.0.3+git20120222-1) unstable; urgency=low

  * Team upload: git snapshot 20120222.
     - fix breaks if LDFLAGS in environment contains
         multiple words (Closese #646001).
     - rm patches merged to upstream:
         append-os-environ-toenv.patch
         fix-ftbfs-on-sh.patch
         remove-10-candidate-words-limitation.patch
     - refresh disable-lm-dict-compile.patch.
  * Bump stardard version to 3.9.3: no modify needed.
  * add libsunpinyin3-dbg and python-sunpinyin packages.
  * debian/compat to 9, multiarch it.
  * rewrite debian/rules with dh 7 format.
  
 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 30 Mar 2012 15:31:55 +0800

sunpinyin (2.0.3-5) unstable; urgency=low

  * Call dh_makeshlibs with -V, rather than dh_shlibdeps

 -- Liang Guo <bluestonechina@gmail.com>  Wed, 05 Oct 2011 02:52:25 +0800

sunpinyin (2.0.3-4) unstable; urgency=low

  * Update Format field in debian/copyright
  * Add Upstream-Contact in debian/copyright
  * Add DM-Upload-Allowed in debian/control
  * remove 10 candidate words limitation

 -- Liang Guo <bluestonechina@gmail.com>  Tue, 27 Sep 2011 21:50:42 +0800

sunpinyin (2.0.3-3) unstable; urgency=low

  * Call dh_makeshlibs with -V (Close: #632355)
  * Bump Standards-Version to 3.9.2
  * Add build-arch and build-indep in debian/rules
  * Update debian/copyright to fit DEP-5
  * Move git repository from collab-maint to pkg-ime,
    Update Vcs-* fields in debian/control

 -- Liang Guo <bluestonechina@gmail.com>  Thu, 08 Sep 2011 23:13:01 +0800
