## sunpinyin 2.0.3+git20130507

=== SConstruct ===
--- 
+++ 
@@ -20,7 +20,7 @@
     'src/slm/slminfo/slminfo.cpp',
     'src/slm/sim_sen.cpp',
     'src/slm/sim_slm.cpp',
-    'src/slm/getWordFreq/getWordFreq.cpp',
+    'src/slm/getwordfreq/getwordfreq.cpp',
     'src/slm/slmseg/slmseg.cpp',
     'src/slm/thread/slmthread.cpp',
     'src/slm/thread/test_vc.cpp',
@@ -34,7 +34,7 @@
     'src/slm/sim_dict.cpp',
     'src/portability.cpp',
     'src/lexicon/trie_writer.cpp',
-    'src/lexicon/genPYT.cpp',
+    'src/lexicon/genpyt.cpp',
     'src/lexicon/pytrie_gen.cpp',
     'src/lexicon/pytrie.cpp',
     'src/pinyin/pinyin_data.cpp',
@@ -122,6 +122,45 @@
     'src/ime-core/imi_plugin.h',
     ]
 
+bins = [
+    'src/mmseg',
+    'src/slmseg',
+    'src/ids2ngram',
+    'src/idngram_merge',
+    'src/slmbuild',
+    'src/slmprune',
+    'src/slminfo',
+    'src/slmthread',
+    'src/tslmendian',
+    'src/tslminfo',
+    'src/tslmpack',
+    'src/genpyt',
+    'src/getwordfreq',
+    'src/sunpinyin-dictgen',
+    ]
+
+man1s = [
+    'man/mmseg.1',
+    'man/slmseg.1',
+    'man/ids2ngram.1',
+    'man/idngram_merge.1',
+    'man/slmbuild.1',
+    'man/slmprune.1',
+    'man/slminfo.1',
+    'man/slmthread.1',
+    'man/tslmendian.1',
+    'man/tslminfo.1',
+    'man/tslmpack.1',
+    'man/genpyt.1',
+    'man/getwordfreq.1',
+    ]
+
+docs = [
+    'doc/README',
+    'doc/SLM-train.mk',
+    'doc/SLM-inst.mk',
+    ]
+
 # options
 AddOption('--prefix', dest='prefix', metavar='DIR',
           help='installation prefix')
@@ -129,8 +168,8 @@
 AddOption('--libdir', dest='libdir', metavar='DIR',
           help='installation libdir')
 
-AddOption('--libdatadir', dest='libdatadir', metavar='DIR',
-          help='installation libdata dir')
+AddOption('--datadir', dest='datadir', metavar='DIR',
+          help='installation data dir')
 
 AddOption('--rpath', dest='rpath', metavar='DIR',
           help='encode rpath in the executables')
@@ -145,7 +184,7 @@
 opts = Variables('configure.conf')
 opts.Add('PREFIX', default='/usr/local')
 opts.Add('LIBDIR', default='/usr/local/lib')
-opts.Add('LIBDATADIR', default='/usr/local/lib')
+opts.Add('DATADIR', default='/usr/local/share')
 opts.Add('ENABLE_PLUGINS', default=False)
 
 #
@@ -162,25 +201,24 @@
     return platform.uname()[0]
 
 def CreateEnvironment():
-    tar = 'tar'
     make = 'make'
     wget = 'wget'
+    tar = 'tar'
     if GetOS() == 'Darwin':
         wget = 'curl -O'
     elif GetOS() == 'FreeBSD':
+        make = 'gmake'
         wget = 'fetch'
+    elif GetOS() == 'SunOS':
         make = 'gmake'
-    elif GetOS() == 'SunOS':
         tar = 'gtar'
-        make = 'gmake'
-
-    libln_builder = Builder(action='ln -s ${SOURCE.name} ${TARGET.name}',
-                            chdir=True)
-    env = Environment(ENV=os.environ, CFLAGS=cflags, CXXFLAGS=cflags,
-                      TAR=tar, MAKE=make, WGET=wget,
-                      CPPPATH=['.'] + allinc(),
-                      tools=['default', 'textfile'])
-    env.Append(BUILDERS={'InstallAsSymlink': libln_builder})
+    libln_builder = Builder(action='cd ${TARGET.dir} && ln -s ${SOURCE.name} ${TARGET.name}')
+    env = Environment(ENV = os.environ, CFLAGS = cflags, CXXFLAGS = cflags,
+                      MAKE = make, WGET = wget, TAR = tar,
+                      CPPPATH = ['.'] + allinc(),
+                      tools = ['default', 'textfile'])
+    env.Append(BUILDERS = {'InstallAsSymlink': libln_builder})
+    env['ENDIANNESS'] = "be" if sys.byteorder == "big" else "le"
     return env
 
 def PassVariables(envvar, env):
@@ -194,22 +232,26 @@
 
 if GetOption('prefix') is not None:
     env['PREFIX'] = GetOption('prefix')
-    env['LIBDATADIR'] = os.path.join(env['PREFIX'], 'lib')
     env['LIBDIR'] = os.path.join(env['PREFIX'], 'lib')
+    env['DATADIR'] = os.path.join(env['PREFIX'], 'share')
 
 if GetOption('libdir') is not None:
     env['LIBDIR'] = GetOption('libdir')
 
-if GetOption('libdatadir') is not None:
-    env['LIBDATADIR'] = GetOption('libdatadir')
+if GetOption('datadir') is not None:
+    env['DATADIR'] = GetOption('datadir')
 
 env['ENABLE_PLUGINS'] = GetOption('enable_plugins')
 
 opts.Save('configure.conf', env)
 
+bindir = os.path.join(env['PREFIX'], 'bin')
+mandir = os.path.join(env['PREFIX'], 'share/man')
+man1dir = os.path.join(mandir, 'man1')
+docdir = os.path.join(env['PREFIX'], 'share/doc/sunpinyin')
+headersdir = os.path.join(env['PREFIX'], 'include/sunpinyin-2.0')
+datadir = os.path.join(env['DATADIR'], 'sunpinyin')
 libdir = env['LIBDIR']
-libdatadir = os.path.join(env['LIBDATADIR'], 'sunpinyin/data')
-headersdir = os.path.join(env['PREFIX'], 'include/sunpinyin-2.0')
 
 # pass through environmental variables
 envvar = [('CC', 'CC'),
@@ -229,7 +271,7 @@
 
 # merge some of critical compile flags
 env.MergeFlags(['-pipe -DHAVE_CONFIG_H',
-                '-DSUNPINYIN_DATA_DIR=\\\'\\"%s\\"\\\'' % libdatadir])
+                '-DSUNPINYIN_DATA_DIR=\\\'\\"%s\\"\\\'' % datadir])
 
 if GetOption('rpath') is not None and GetOS() != 'Darwin':
     env.MergeFlags('-Wl,-R -Wl,%s' % GetOption('rpath'))
@@ -355,33 +397,5 @@
     # append endianness checking defines
     AppendEndianCheck(conf)
     env = conf.Finish()
-    # generate sunpinyin.pc
-    env.Substfile('sunpinyin-2.0.pc.in', SUBST_DICT={
-            '@PREFIX@': env['PREFIX'],
-            '@LIBDIR@': env['LIBDIR'],
-            '@VERSION@': version,
-            '@CFLAGS@': reduce(lambda a, b: a + ' ' + b,
-                               map(lambda x: '-I$${includedir}' + x[3:],
-                                   allinc())),
-            })
 
     if GetOS() != 'Darwin':
-        env.ParseConfig('pkg-config sqlite3 --libs --cflags')
-
-if not GetOption('clean') and not GetOption('help'):
-    DoConfigure()
-
-#
-#==============================compile==============================
-#
-env.Object(slmsource)
-
-SConscript(['build/SConscript'], exports='env')
-
-libname_default = '%ssunpinyin%s' % (env.subst('${SHLIBPREFIX}'),
-                                     env.subst('${SHLIBSUFFIX}'))
-libname_link = libname_default
-libname_soname = '%s.%d' % (libname_link, abi_major)
-libname = '%s.%d' % (libname_soname, abi_minor)
-lib = None
-
