=== debian/changelog ===
sunpinyin (2.0.3+git20130507-1ubuntu1) trusty; urgency=low

  * Reintroduce aarch64 endian detection fix.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 24 Nov 2013 15:29:45 -0700

sunpinyin (2.0.3+git20130507-1) unstable; urgency=low

  * New upstream snapshot 20130507.
     - Fix aarch64 endian check. (Closes: #727273)
     - Remove disable-lm-dict-compile.patch, merged into upstream
     - Binaries and manpages are installed automatic now
  * Use --datadir instead of --libdatadir now
  * Remove DMUA stantz.
  * Update Git URL to be canonical.

 -- YunQiang Su <wzssyqa@gmail.com>  Thu, 24 Oct 2013 18:13:41 +0800

sunpinyin (2.0.3+git20120404-1) unstable; urgency=medium

  * Medium urgency for fixing RC bug.
  * New upstream commit: fix FTBFS with gcc-4.7 (Closes: #667385).
  * Add Multi-Arch: same to libsunpinyin3, -dev and -dbg.
  * Add YunQiang Su to uploaders.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 11 Apr 2012 03:06:40 +0800
