=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: sunpinyin
 Priority: optional
-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Liang Guo <bluestonechina@gmail.com>, YunQiang Su <wzssyqa@gmail.com>
 Build-Depends: debhelper (>= 9), scons, libsqlite3-dev, pkg-config, 
 		quilt (>= 0.46-8~), python-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
-DM-Upload-Allowed: yes
 Homepage: http://code.google.com/p/sunpinyin
-Vcs-Git: git://git.debian.org/git/pkg-ime/sunpinyin
-Vcs-Browser: http://git.debian.org/?p=pkg-ime/sunpinyin.git
+Vcs-Git: git://anonscm.debian.org/pkg-ime/sunpinyin.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/sunpinyin.git
 
 Package: libsunpinyin-dev
 Section: libdevel
