=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 SCONS=scons 
 POD2MAN=pod2man
-PROGS=genpyt idngram_merge slminfo slmseg tslminfo getWordFreq ids2ngram \
+PROGS=genpyt igetwordfreq dngram_merge slminfo slmseg tslminfo getWordFreq ids2ngram \
       mmseg slmbuild slmprune slmthread tslmendian tslmpack
 
 %:
@@ -19,12 +19,11 @@
 	rm -rf .sconf_temp
 
 override_dh_auto_build:
-	$(SCONS)  --prefix=/usr --libdir=/usr/lib/${DEB_HOST_MULTIARCH}/ --libdatadir=/usr/lib/${DEB_HOST_MULTIARCH}
-	for p in $(PROGS); do $(POD2MAN) --section 1 doc/$$p.pod > doc/$$p.1; done
+	$(SCONS)  --prefix=/usr --libdir=/usr/lib/${DEB_HOST_MULTIARCH}/ --datadir=/usr/lib/${DEB_HOST_MULTIARCH}
 	
 override_dh_auto_install:
 	$(SCONS) install --install-sandbox=debian/tmp
-	for p in $(PROGS); do install -D -m 0755 build/$$p $(CURDIR)/debian/tmp/usr/bin/$$p; done
+	rm -f debian/tmp/usr/bin/sunpinyin-dictgen
 
 override_dh_install:
 	dh_install --fail-missing
