=== debian/watch ===
version=3
http://code.google.com/p/sunpinyin/downloads/list .*/sunpinyin-([0-9]\.*.*)\.tar\.gz
