## sunpinyin 2.0.3+git20140127

=== debian/changelog ===
sunpinyin (2.0.3+git20140127-4) unstable; urgency=medium

  * Break & replace libsunpinyin3 to enable smothly 
    upgrade. 

 -- Liang Guo <guoliang@debian.org>  Wed, 14 Oct 2015 13:55:28 +0800

sunpinyin (2.0.3+git20140127-3) unstable; urgency=medium

  * Library rename for gcc-5 transition (Closes: #799651)
  * Fix formatting in description (Closes: #769793)

 -- Aron Xu <happyaron.xu@gmail.com>  Thu, 08 Oct 2015 13:47:10 +0800

sunpinyin (2.0.3+git20140127-2) unstable; urgency=medium

  * Team upload.
  * Fixed pod2man invocations. (Closes: #790287)
  * Acknowledge Chen Baozi's NMU.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sun, 05 Jul 2015 15:20:03 -0400

sunpinyin (2.0.3+git20140127-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix aarch64 endian check. (Closes: #727273)

 -- Chen Baozi <baozich@debian.org>  Wed, 11 Feb 2015 12:34:59 +0000

sunpinyin (2.0.3+git20140127-1) unstable; urgency=low

  * New upstream snapshot 20140127
  * Update my mail address
  * Bump stardard version to 3.9.5

 -- Liang Guo <guoliang@debian.org>  Sat, 01 Mar 2014 15:22:47 +0800
