=== debian/control ===
Source: sunpinyin
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Liang Guo <guoliang@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 9), scons, libsqlite3-dev, pkg-config, 
		quilt (>= 0.46-8~), python-dev (>= 2.6.6-3~)
Standards-Version: 3.9.5
Section: libs
Homepage: http://code.google.com/p/sunpinyin
Vcs-Git: git://anonscm.debian.org/pkg-ime/sunpinyin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/sunpinyin.git

Package: libsunpinyin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsunpinyin3v5 (= ${binary:Version}), ${misc:Depends}, libsqlite3-dev
Description: Simplified Chinese Input Method from SUN (development)
 Sunpinyin is a statistical language model (SLM) based input method 
 engine for Simplified Chinese, it features full sentence input.
 .
 This package contains the development header files that allows others 
 to write their own front-end for sunpinyin.

Package: libsunpinyin3v5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libsunpinyin3
Replaces: libsunpinyin3
Pre-Depends: ${misc:Pre-Depends}
Recommends: sunpinyin-data
Description: Simplified Chinese Input Method from SUN (runtime)
 Sunpinyin is a statistical language model (SLM) based input method 
 engine for Simplified Chinese, it features full sentence input.
 .
 This package contains the runtime library.

Package: libsunpinyin3-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libsunpinyin3v5 (= ${binary:Version})
Section: debug
Description: Simplified Chinese Input Method from SUN (debug)
 Sunpinyin is a statistical language model (SLM) based input method 
 engine for Simplified Chinese, it features full sentence input.
 .
 This package contains the debug symbols of shared library.

Package: python-sunpinyin
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libsunpinyin3v5
Section: python
Description: Simplified Chinese Input Method from SUN (Python binding)
 Sunpinyin is a statistical language model (SLM) based input method 
 engine for Simplified Chinese, it features full sentence input.
 .
 This package contains the Python binding of sunpinyin.

Package: sunpinyin-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Description: Simplified Chinese Input Method from SUN (utilities)
 Sunpinyin is a statistical language model (SLM) based input method 
 engine for Simplified Chinese, it features full sentence input.
 .
 This package contains some utilities used by open-gram project, 
 including:
 .
  * genpyt - generate the pinyin lexicon
  * tslmpack - convert the ARPA format of SunPinyin back-off language 
    model to its binary representation
  * tslmendian - change the byte-order of sunpinyin's threaded back-off 
    language model
 .
 and some Python programs which maybe used to import user dictionary 
 from other input method such as sougou, google, fcitx etc.
