=== debian/rules ===
--- 
+++ 
@@ -30,5 +30,5 @@
 	rm -f debian/tmp/python-sunpinyin/usr/share/pyshared/sunpinyin/setup.py
 
 override_dh_strip:
-	dh_strip -plibsunpinyin3 --dbg-package=libsunpinyin3-dbg
+	dh_strip -plibsunpinyin3v5 --dbg-package=libsunpinyin3-dbg
 	dh_strip
