## sunpinyin 3.0.0~git20160910

=== debian/changelog ===
sunpinyin (3.0.0~git20160910-1) unstable; urgency=medium

  * New upstream snapshot 20160910
  * Refresh debian/copyright
  * Remove debian/patches/{strndup_in_cxx.patch, 
    detect-endianness-for-arm64.patch, pod2man.patch, gcc-6.patch},
    applied upstream
  * debian/docs, rename README to README.md
  * debian/control
    - Use secure uri in vcs-*
    - Update homepage
    - Bump Standards-Version to 3.9.8
  * Remove debian/watch
  * Remove debian/libsunpinyin3v5.postinst, work down by dh generated
    Trigger

 -- Liang Guo <guoliang@debian.org>  Thu, 13 Oct 2016 02:44:02 +0800

sunpinyin (2.0.3+git20140127-5) unstable; urgency=medium

  * Fix compile with gcc-6 by Rico Tzschichholz

 -- Aron Xu <aron@debian.org>  Sat, 06 Aug 2016 21:35:29 +0800
