=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Uploaders: Liang Guo <guoliang@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 Build-Depends: debhelper (>= 9), scons, libsqlite3-dev, pkg-config, 
 		quilt (>= 0.46-8~), python-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Section: libs
-Homepage: http://code.google.com/p/sunpinyin
-Vcs-Git: git://anonscm.debian.org/pkg-ime/sunpinyin.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/sunpinyin.git
+Homepage: https://github.com/sunpinyin
+Vcs-Git: https://anonscm.debian.org/git/pkg-ime/sunpinyin.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-ime/sunpinyin.git
 
 Package: libsunpinyin-dev
 Section: libdevel
